com.google.gwt.http.client

## Class Request.RequestImpl

- java.lang.Object
- - com.google.gwt.http.client.Request.RequestImpl

Direct Known Subclasses:
  Request.RequestImplIE8And9

Enclosing class:
  Request

    static class Request.RequestImpl
    extends java.lang.Object

Native implementation associated with `Request`. User classes should not use this class directly.

### Constructor Summary

Constructors
Constructor and Description
`RequestImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) Response` `createResponse(XMLHttpRequest xmlHttpRequest)` Creates a `Response` instance for the given JavaScript XmlHttpRequest object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestImpl

    RequestImpl()

### Method Detail

#### createResponse

    Response createResponse(XMLHttpRequest xmlHttpRequest)

Creates a `Response` instance for the given JavaScript XmlHttpRequest object.

Parameters:
  `xmlHttpRequest` - xmlHttpRequest object for which we need a response
Returns:
  a `Response` object instance